using FCOMMON;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FPJ0000.JobReport_
{
    public partial class rJobChart : fBase
    {
        public rJobChart(string uid,string sdate, string edate)
        {
            InitializeComponent();
            this.WindowState = FormWindowState.Maximized;
            //var ps = new Microsoft.Reporting.WinForms.ReportParameterCollection();
            //this.reportViewer1.LocalReport.SetParameters(ps);
            this.ta.Fill(this.dsPRJ.JobReport,sdate,edate,uid, FCOMMON.info.Login.gcode);
        }

        private void rJobReport_Load(object sender, EventArgs e)
        {
            EnsureVisibleAndUsableSize();
            this.Show();
            Application.DoEvents();

            this.reportViewer1.SetDisplayMode( Microsoft.Reporting.WinForms.DisplayMode.PrintLayout); 
            this.reportViewer1.ZoomMode = Microsoft.Reporting.WinForms.ZoomMode.PageWidth;            
            this.reportViewer1.RefreshReport();
        }
    }
}
